<div id="login" fxLayout="row" fxLayoutAlign="start">

  <div id="login-intro" fxFlex fxHide fxShow.gt-xs>

    <div class="logo" *fuseIfOnDom [@animate]="{value:'*',params:{scale:'0.2'}}">
      <img src="assets/images/logos/logosalle.png">
    </div>

    <div class="title" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',y:'25px'}}">
    Control de Visitas
    </div>

    <div class="description" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',y:'25px'}}">
      Sistema de control de visitas de la Universidad La Salle
    </div>

  </div>

  <div id="login-form-wrapper" fusePerfectScrollbar *fuseIfOnDom
       [@animate]="{value:'*',params:{delay:'300ms',x:'100%'}}">

    <div id="login-form">

      <div class="logo" fxHide.gt-xs>
        <span>ULS</span>
      </div>

      <div class="title">INGRESE A SU CUENTA</div>

      <div fxLayout="row" fxLayoutAlign="center center" style="margin-bottom: 6px;">

        <mat-chip-list>
          <mat-chip *ngIf="errorsmap == 'invalid_grant'" [ngClass]="'mat-red-A700-bg'">
            {{errorsdescription == "User account is locked" ? "El usuario no esta activado." : "El usuario y/o contraseña son inválidos." }}
          </mat-chip>
        </mat-chip-list>

      </div>

      <form name="loginForm" [formGroup]="loginForm" novalidate (ngSubmit)="onSubmit()">

        <mat-form-field>
          <input matInput placeholder="Correo Electrónico" formControlName="email"   autocomplete="new-password">
          <mat-error *ngIf="loginFormErrors.email.required">
            Correo Electrónico es requerido
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput type="password" placeholder="Contraseña" formControlName="password"   autocomplete="new-password">
          <mat-error *ngIf="loginFormErrors.password.required">
            Contraseña es requerida
          </mat-error>
        </mat-form-field>

        <div [loader]="loading" loadSize="20px">
          <button mat-raised-button color="accent" class="submit-button" aria-label="Ingresar"
                  [disabled]="loginForm.invalid" >
            Ingresar
          </button>
        </div>

      </form>


    </div>
  </div>
</div>
